"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const parseFileAttachment_1 = tslib_1.__importDefault(require("./parseFileAttachment"));
const parseBlobAttachment_1 = tslib_1.__importDefault(require("./parseBlobAttachment"));
const parseXMAAttachment_1 = tslib_1.__importDefault(require("./parseXMAAttachment"));
function parseAttachment(attachment) {
    if (attachment.mimeType)
        return parseFileAttachment_1.default(attachment);
    if (attachment.mimetype)
        return parseBlobAttachment_1.default(attachment);
    if (attachment.xmaGraphQL)
        return parseXMAAttachment_1.default(JSON.parse(attachment.xmaGraphQL));
    return Object.assign({ type: 'Unknown' }, attachment);
}
exports.default = parseAttachment;
//# sourceMappingURL=parseAttachment.js.map